#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeappsver	24.12.1
%define		kframever	5.103.0
%define		qtver		5.15.2
%define		kaname		colord-kde
Summary:	colord KDE
Name:		ka6-%{kaname}
Version:	24.12.1
Release:	1
License:	GPL v2+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	8738f00dd15f58c64ea3e6f69d75e54c
URL:		http://www.kde.org/
BuildRequires:	Qt6Core-devel >= 5.15.2
BuildRequires:	Qt6DBus-devel >= 5.15.2
BuildRequires:	Qt6Gui-devel >= 5.15.2
BuildRequires:	Qt6Widgets-devel >= 5.15.2
BuildRequires:	fontconfig-devel
BuildRequires:	freetype-devel
BuildRequires:	gettext-devel
BuildRequires:	kf6-extra-cmake-modules >= 5.91.0
BuildRequires:	kf6-kauth-devel >= 5.103.0
BuildRequires:	kf6-kcmutils-devel >= 5.91.0
BuildRequires:	kf6-kcodecs-devel >= 5.103.0
BuildRequires:	kf6-kcompletion-devel >= 5.103.0
BuildRequires:	kf6-kconfig-devel >= 5.103.0
BuildRequires:	kf6-kconfigwidgets-devel >= 5.103.0
BuildRequires:	kf6-kcoreaddons-devel >= 5.103.0
BuildRequires:	kf6-kdbusaddons-devel >= 5.91.0
BuildRequires:	kf6-ki18n-devel >= 5.91.0
BuildRequires:	kf6-kio-devel >= 5.91.0
BuildRequires:	kf6-kitemviews-devel >= 5.103.0
BuildRequires:	kf6-kjobwidgets-devel >= 5.103.0
BuildRequires:	kf6-kservice-devel >= 5.103.0
BuildRequires:	kf6-kwidgetsaddons-devel >= 5.103.0
BuildRequires:	kf6-kwindowsystem-devel >= 5.103.0
BuildRequires:	kf6-kxmlgui-devel >= 5.103.0
BuildRequires:	kf6-solid-devel >= 5.103.0
BuildRequires:	libxcb-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xz
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
Obsoletes:	ka5-%{kaname} < %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
colord KDE

%prep
%setup -q -n %{kaname}-%{version}

%build
%cmake \
	-B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_DOCBUNDLEDIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON
%ninja_build -C build

%if %{with tests}
ctest --test-dir build
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{kaname}.lang
%defattr(644,root,root,755)
%doc MAINTAINERS TODO
%attr(755,root,root) %{_bindir}/colord-kde-icc-importer
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kded/colord.so
%attr(755,root,root) %{_libdir}/qt6/plugins/plasma/kcms/systemsettings/kcm_colord.so
%{_desktopdir}/colordkdeiccimporter.desktop
%{_desktopdir}/kcm_colord.desktop
%changelog
* Sat Jan 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka6-colord-kde.git;a=log;h=master

* Fri Jan 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> b11e013
- updated to 24.12.1

* Thu Dec 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 1d5692a
- updated to 24.12.0

* Thu Nov 07 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 4693a23
- updated to 24.08.3

* Thu Oct 10 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 7e9f064
- updated to 24.08.2

* Thu Sep 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> bae6687
- updated to 24.08.1

* Fri Aug 23 2024 Witold Filipczyk <witekfl@poczta.onet.pl> fcb59cb
- updated to 24.08.0

* Fri Jul 05 2024 Witold Filipczyk <witekfl@poczta.onet.pl> ef0274c
- updated to 24.05.2

* Fri Jun 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 748d3eb
- updated to 24.05.1

* Fri May 24 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 8202fd5
- updated to 24.05.0

* Sat Apr 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 1a6f61d
- updated to 24.02.2

* Fri Mar 22 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 9774a2a
- updated to 24.02.1

* Mon Mar 04 2024 Witold Filipczyk <witekfl@poczta.onet.pl> cb64ce8
- updated to 24.02.0

